# DISPLAY SURFACE
SURFACE_WIDTH = 640
SURFACE_HEIGHT = 360

# SCREEN
SCREEN_WIDTH = 640
SCREEN_HEIGHT = 360

# SCREEN SCROLL
SCROLL_THRESH = 200

# COLOR
BACKGROUND_COLOR = [39, 25, 40]

BLACK, WHITE = (0, 0, 0), (255, 255, 255)
YELLOW = (255,255,0)
RED = (255,0,0)

# GAME VARIABLE
GRAVITY = 0.3
ROLL_SPEED = 1
PLAYER_SPEED = 2
PLAYER_JUMP_VEL = -7.5
GOLEM_SPEED = 1
WOLF_SPEED = 1
BOSS_SPEED = 2

# screen scroll
screen_scroll = 0
bg_scroll = 0

# map
ROWS = 15
COLS = 150
# 360 / 15 = 24
TILE_SIZE = SURFACE_HEIGHT // ROWS
TILE_TYPES = 34
MAX_LEVELS = 4
EDGE_TILE = 26

TARGET_FPS = 60

#INPUT_METHOD = "KEYBOARD"
INPUT_METHOD = "JOYSTICK"
