import os

import pygame


def draw_bg(img, surface):
    surface.blit(img, (0, 0))


def get_font(font_name, size):
    return pygame.font.Font(f'font/{font_name}', size)


def create_text_surf(text, font_name, size, color):
    font = pygame.font.Font(f'font/{font_name}', size)
    text_surf = font.render(text, True, color)
    return text_surf


def listfolders(path):
    return [os.path.join(path, f) for f in os.listdir(path) if not f.startswith('.')]