import pygame


from helper_function import create_text_surf, get_font
from states.button import Button


def complete_menu(screen):
    font_name = 'antiquity-print'
    create_text_surf("Level Complete", font_name, 52, (216, 219, 103), 400, 150, screen)
    next_level_button = Button(image=pygame.image.load("images/button/Quit Rect.png"), pos=(650, 300),
                               text_input="Next Level", font=get_font(font_name, 52), base_color="#d7fcd4",
                               hovering_color="White")
    main_button = Button(image=pygame.image.load("images/button/Quit Rect.png"), pos=(650, 450),
                         text_input="Menu", font=get_font(font_name, 52), base_color="#d7fcd4",
                         hovering_color="White")
    return next_level_button, main_button
